# monkeypatch.trainer_fsdp_optim – Axolotl

# monkeypatch.trainer_fsdp_optim

`monkeypatch.trainer_fsdp_optim`

fix for FSDP optimizer save in trainer w 4.47.0

## Functions

Name | Description
--- | ---
patch_training_loop_for_fsdp | monkeypatch for fixing the training loop for fsdp with optimizer save

### patch_training_loop_for_fsdp

    monkeypatch.trainer_fsdp_optim.patch_training_loop_for_fsdp()

monkeypatch for fixing the training loop for fsdp with optimizer save